@echo OFF

IF NOT DEFINED JAVA_HOME (
Echo JAVA_HOME variable is not set! Exiting...
EXIT /B -1
)
IF NOT DEFINED TANGO_HOST (
Echo TANGO_HOST variable is not set! Exiting...
EXIT /B -1
)
IF [%1]==[] (
Echo Tango instance name is not set! This should be passed as cli argument, i.e. "start.bat development". Exiting...
EXIT /B -1
)

Echo Using JAVA_HOME=%JAVA_HOME%
Echo Using TANGO_HOST=%TANGO_HOST%
set HOME=%~dp0..
Echo Using HOME=%HOME%
set INSTANCE_NAME=%1
Echo Using instance name=%INSTANCE_NAME%

"%JAVA_HOME%\bin\java" -Xmx1G -Djava.library.path="%HOME%\lib\native\x86_64\win" -Dfile.encoding=UTF-8 -cp "%HOME%\lib\*" hzg.wpn.tango.DataMatrixDecoder %INSTANCE_NAME% -v4